Bug 985502 - Output of subscription-manager list --consumed not aligned for many LANGs
Output of subscription-manager list --consumed not aligned for many LANGs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.11
Unspecified Unspecified
unspecified Severity unspecified
: alpha
: 5.11
Assigned To: John Sefler
IDM QE LIST
:
Depends On:
Blocks: rhsm-rhel511
  Show dependency treegraph
 
Reported: 2013-07-17 11:50 EDT by Sharath Dwaral
Modified: 2015-03-22 21:14 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-29 13:49:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
subscription-manager list --consumed in all LANGs nicely aligns the columns of label/value pairs. (244.52 KB, image/png)
2013-11-07 15:40 EST, John Sefler
no flags Details
subscription-manager list --consumed in all LANGs nicely aligns the columns of label/value pairs. (226.08 KB, image/png)
2014-06-23 18:12 EDT, John Sefler
no flags Details

  None (edit)
Description Sharath Dwaral 2013-07-17 11:50:43 EDT
Description of problem:
Output of subscription-manager list --consumed not aligned

Version-Release number of selected component (if applicable):
# rpm -qa | egrep "subscription-manager|python-rhsm"
subscription-manager-migration-1.8.13-1.el5
subscription-manager-1.8.13-1.el5
subscription-manager-gui-1.8.13-1.el5
python-rhsm-1.8.13-1.el5_9
subscription-manager-migration-data-1.11.3.1-1.git.1.78afd75.el5
subscription-manager-firstboot-1.8.13-1.el5

How reproducible:
Always

Steps to Reproduce:
Register and subscribe to any pool
# LANG=or_IN.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   ବ୍ୟବହାର ହୋଇଥିବା ସଦସ୍ୟତାଗୁଡ଼ିକ
+-------------------------------------------+
ସଦସ୍ୟତା ନାମ:    Awesome OS with up to 4 virtual guests
ପ୍ରଦାନ କରିଥାଏ:  Awesome OS Server Bits
SKU:            awesomeos-virt-4
ରାଜିନାମା:       139
ଖାତା:           12331131231
କ୍ରମ ସଂଖ୍ୟା:    6311183020478898087
ପୁଲ ID:         8a90f8333feace49013feacfc74b0616
ସକ୍ରିୟ:         True
ବ୍ୟବହୃତ ପରିମାଣ: 1
ସର୍ଭିସ ସ୍ତର:    
ସର୍ଭିସ ପ୍ରକାର:  
ସ୍ଥିତି ବିବରଣୀ:  
ଆରମ୍ଭ:          ୧୬-୭-୧୩
ସମାପ୍ତ:         ୧୬-୭-୧୪

Actual results:
As shown above

Expected results:
The output should be aligned

Additional info:

Also happens for the following languages
# LANG=as_IN.UTF-8 subscription-manager list --consumed
# LANG=kn_IN.UTF-8 subscription-manager list --consumed
# LANG=ta_IN.UTF-8 subscription-manager list --consumed
# LANG=te_IN.UTF-8 subscription-manager list --consumed
# LANG=gu_IN.UTF-8 subscription-manager list --consumed
# LANG=ml_IN.UTF-8 subscription-manager list --consumed
# LANG=mr_IN.UTF-8 subscription-manager list --consumed
Comment 1 RHEL Product and Program Management 2013-07-17 11:54:19 EDT
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux release.  Product Management has
requested further review of this request by Red Hat Engineering, for
potential inclusion in a Red Hat Enterprise Linux release for currently
deployed products.  This request is not yet committed for inclusion in
a release.
Comment 2 Bryan Kearney 2013-07-17 14:51:10 EDT
Looks like this will be a string change, pushing.
Comment 4 Carter Kozak 2013-11-07 08:20:16 EST
commit 864c32fa378dba7ec32ad16ad4421c8024df4219
Author: ckozak <ckozak@redhat.com>
Date:   Tue Nov 5 16:44:35 2013 -0500

    985502: Use yum.i18n utf8_width function for string length in CLI
    
    Our --list output in some languages (*_IN.UTF-8) was not properly
    aligned.  Yum has already solved this problem, so we can pull in
    the method they use.
Comment 6 John Sefler 2013-11-07 15:27:40 EST
As demonstrated here, many LANGs (Indic, Japanese. Korean, Chinese) are misaligned while other langs are nicely aligned: 

[root@jsefler-7 ~]# rpm -q subscription-manager
subscription-manager-1.10.5-1.el7.x86_64

[root@jsefler-7 ~]# for l in en_US de_DE es_ES fr_FR it_IT ja_JP ko_KR pt_BR ru_RU zh_CN zh_TW as_IN bn_IN hi_IN mr_IN gu_IN kn_IN ml_IN or_IN pa_IN ta_IN te_IN; do echo ""; echo "# LANG=$l.UTF-8 subscription-manager list --consumed"; LANG=$l.UTF-8 subscription-manager list --consumed; done;

# LANG=en_US.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name: Multi-Attribute Stackable (4 cores)
Provides:          Multi-Attribute Limited Product
SKU:               cores4-multiattr
Contract:          2
Account:           12331131231
Serial:            5172215874037292522
Pool ID:           8a90874042235e5b0142235f2c3c0b55
Active:            True
Quantity Used:     1
Service Level:     Premium
Service Type:      Level 3
Status Details:    Only covers 4 of 6 cores.
Starts:            11/03/2013
Ends:              11/03/2014
System Type:       Physical


# LANG=de_DE.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   Verbrauchte Subskriptionen
+-------------------------------------------+
Subskriptionsname: Multi-Attribute Stackable (4 cores)
Bietet:            Multi-Attribute Limited Product
SKU:               cores4-multiattr
Vertrag:           2
Account:           12331131231
Seriennummer:      5172215874037292522
Pool-ID:           8a90874042235e5b0142235f2c3c0b55
Aktiv:             True
Anzahl verbraucht: 1
Service-Level:     Premium
Service-Typ:       Level 3
Status Details:    Deckt nur 4 von 6 Kernen ab.
Startet:           03.11.2013
Endet:             03.11.2014
System-Typ:        Physisch


# LANG=es_ES.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   Suscripciones consumidas
+-------------------------------------------+
Nombre de suscripción:  Multi-Attribute Stackable (4 cores)
Proporciona:            Multi-Attribute Limited Product
SKU:                    cores4-multiattr
Contrato:               2
Cuenta:                 12331131231
Serial:                 5172215874037292522
ID de grupo:            8a90874042235e5b0142235f2c3c0b55
Activo:                 True
Cantidad utilizada:     1
Nivel de servicio:      Premium
Tipo de servicio:       Level 3
Información de estatus: Solamente cubre 4 de 6 núcleos.
Inicia:                 03/11/13
Termina:                03/11/14
Tipo de sistema:        Físicos


# LANG=fr_FR.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   Abonnements consommés
+-------------------------------------------+
Nom de l'abonnement : Multi-Attribute Stackable (4 cores)
Fournit :             Multi-Attribute Limited Product
SKU :                 cores4-multiattr
Contrat :             2
Compte :              12331131231
Série :               5172215874037292522
ID du pool :          8a90874042235e5b0142235f2c3c0b55
Actif :               True
Quantité utilisée :   1
Niveau de service :   Premium
Type de service :     Level 3
Détails du statut :   Couvre uniquement 4 sur 6 cœurs.
Démarre :             03/11/2013
Termine :             03/11/2014
Type de système :     Physique


# LANG=it_IT.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   Sottoscrizioni usate
+-------------------------------------------+
Nome sottoscrizione:  Multi-Attribute Stackable (4 cores)
Fornisce:             Multi-Attribute Limited Product
SKU:                  cores4-multiattr
Contratto:            2
Account:              12331131231
Seriale:              5172215874037292522
Id del pool:          8a90874042235e5b0142235f2c3c0b55
Attivo:               True
Quantità usata:       1
Livello del servizio: Premium
Tipo di servizio:     Level 3
Dettagli sullo stato: Copre solo 4 di 6 core.
Inizia:               03/11/2013
Finisce:              03/11/2014
Tipo di sistema:      Fisico


# LANG=ja_JP.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   割り当て済みのサブスクリプション
+-------------------------------------------+
サブスクリプション名: Multi-Attribute Stackable (4 cores)
提供:                 Multi-Attribute Limited Product
SKU:                  cores4-multiattr
契約:                 2
アカウント:           12331131231
シリアル:             5172215874037292522
プール ID:            8a90874042235e5b0142235f2c3c0b55
アクティブ:           True
使用数量:             1
サービスレベル:       Premium
サービスタイプ:       Level 3
状態の詳細:           合計コア数 6 のうち適用されるのは 4
                      コアみになります。
開始:                 2013年11月03日
終了:                 2014年11月03日
システムタイプ:       物理


# LANG=ko_KR.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   소비된 서브스크립션 
+-------------------------------------------+
서브스크립션 이름: Multi-Attribute Stackable (4 cores)
제공:              Multi-Attribute Limited Product
SKU:               cores4-multiattr
계약:              2
계정:              12331131231
시리얼:            5172215874037292522
풀 ID:             8a90874042235e5b0142235f2c3c0b55
활성:              True
사용 수량:         1
서비스 레벨:       Premium
서비스 유형:       Level 3
상태 정보:         6 중 4 코어만 적용됩니다.
시작:              2013년 11월 03일
종료:              2014년 11월 03일
시스템 유형:       물리


# LANG=pt_BR.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   Subscrições Consumidas
+-------------------------------------------+
Nome da Subscrição: Multi-Attribute Stackable (4 cores)
Fornece:            Multi-Attribute Limited Product
SKU:                cores4-multiattr
Contrato:           2
Conta:              12331131231
Série:              5172215874037292522
Id do Pool:         8a90874042235e5b0142235f2c3c0b55
Ativo:              True
Quantidade Usada:   1
Nível de serviço:   Premium
Tipo de Serviço:    Level 3
Detalhes de Status: Cobre somente 4 de 6 núcleos
Inicia:             03-11-2013
Finaliza:           03-11-2014
Tipo de Sistema:    Físico


# LANG=ru_RU.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   Занятые подписки
+-------------------------------------------+
Подписка:             Multi-Attribute Stackable (4 cores)
Предоставляет:        Multi-Attribute Limited Product
SKU:                  cores4-multiattr
Контракт:             2
Учетная запись:       12331131231
Серийный номер:       5172215874037292522
ID пула:              8a90874042235e5b0142235f2c3c0b55
Активно:              True
Занято:               1
Уровень обслуживания: Premium
Тип обслуживания:     Level 3
Сведения о состоянии: Распространяется на 4 из 6 ядер.
Начало:               03.11.2013
Конец:                03.11.2014
Тип системы:          Физическая


# LANG=zh_CN.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   消耗的订阅
+-------------------------------------------+
订阅名称:   Multi-Attribute Stackable (4 cores)
提供:       Multi-Attribute Limited Product
SKU:        cores4-multiattr
合同:       2
帐户:       12331131231
序列号:     5172215874037292522
池子 Id:    8a90874042235e5b0142235f2c3c0b55
活动:       True
已使用的量: 1
服务等级:   Premium
服务类型:   Level 3
状态详情:   只覆盖 6 核的 4。
开始:       2013年11月03日
结束:       2014年11月03日
系统类型:   物理的


# LANG=zh_TW.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   已消耗的訂閱
+-------------------------------------------+
訂閱名稱:       Multi-Attribute Stackable (4 cores)
提供了:         Multi-Attribute Limited Product
SKU:            cores4-multiattr
合約:           2
帳號:           12331131231
序號:           5172215874037292522
集區 ID:        8a90874042235e5b0142235f2c3c0b55
啟用:           True
已使用的數量:   1
服務等級:       Premium
服務類型:       Level 3
狀態的詳細資料: 只涵蓋 6 個核心中的 4 個。
起始:           西元2013年11月03日
結束:           西元2014年11月03日
系統類型:       實體


# LANG=as_IN.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   উপভোগ কৰা স্বাক্ষৰণসমূহ
+-------------------------------------------+
স্বাক্ষৰণৰ নাম:    Multi-Attribute Stackable (4 cores)
প্ৰদান কৰে:        Multi-Attribute Limited Product
SKU:               cores4-multiattr
চুক্তি:            2
একাওন্ট:           12331131231
ক্ৰমিক:            5172215874037292522
পুল ID:            8a90874042235e5b0142235f2c3c0b55
সক্ৰিয়:            True
ব্যৱহৃত পৰিমাণ:    1
সেৱা স্তৰ:         Premium
সেৱাৰ ধৰণ:         Level 3
অৱস্থাৰ বিৱৰণসমূহ: 6 কেন্দ্ৰসমূহৰ কেৱল 4 ক অন্তৰ্ভুক্ত কৰে।
আৰম্ভ হয়:          3-11-2013
সমাপ্ত হয়:         3-11-2014
চিস্টেমৰ ধৰণ:      ভৌতিক


# LANG=bn_IN.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   ব্যবহৃত সাবস্ক্রিপশন
+-------------------------------------------+
সাবস্ক্রিপশনের নাম:   Multi-Attribute Stackable (4 cores)
উপলব্ধ করানো হয়:      Multi-Attribute Limited Product
SKU:                  cores4-multiattr
চুক্তি:               2
অ্যাকাউন্ট:           12331131231
ক্রমিক:               5172215874037292522
পুল ID:               8a90874042235e5b0142235f2c3c0b55
সক্রিয়:               True
ব্যবহৃত পরিমাণ:       1
পরিষেবার স্তর:        Premium
পরিষেবার ধরন:         Level 3
বর্তমান স্থিতির তথ্য: শুধুমাত্র 6 - এর 4 কোরস্ অাওতাভুক্ত।
অারম্ভ:               রবিবার 03 নভেম্বর 2013
সমাপ্তি:              সোমবার 03 নভেম্বর 2014
সিস্টেমের ধরন:        প্রকৃত


# LANG=hi_IN.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   खपत हुई सदस्यता
+-------------------------------------------+
सदस्यता नाम:     Multi-Attribute Stackable (4 cores)
प्रदान करता है:  Multi-Attribute Limited Product
SKU:             cores4-multiattr
संविदा:          2
खाता:            12331131231
क्रम संख्या:     5172215874037292522
पुल आईडी:        8a90874042235e5b0142235f2c3c0b55
सक्रिय:          True
प्रयुक्त मात्रा: 1
सेवा स्तर:       Premium
सेवा प्रकार:     Level 3
प्रस्थिति विवरण: केवल 4, 6 कोर का कवर करता है.
आरंभ:            रविवार 03 नवम्बर 2013
अंत:             सोमवार 03 नवम्बर 2014
तंत्र प्रकार:    भौतिक


# LANG=mr_IN.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   वापरलेले सबस्क्रिप्शन्स्
+-------------------------------------------+
सबस्क्रिप्शन नाव: Multi-Attribute Stackable (4 cores)
प्रोव्हाइड्स:     Multi-Attribute Limited Product
SKU:              cores4-multiattr
काँट्रॅक्ट:       2
खाते:             12331131231
सिरिअल:           5172215874037292522
पूल ID:           8a90874042235e5b0142235f2c3c0b55
सक्रिय:           True
वापरलेले प्रमाण:  1
सेवा स्तर:        Premium
सेवा प्रकार:      Level 3
स्थिती तपशील:     6 पैकी फक्त 4 कोर्स समाविष्टीत आहे.
सुरूवात:          रविवार 03 नोव्हेंबर 2013
समाप्ति:          सोमवार 03 नोव्हेंबर 2014
प्रणाली प्रकार:   फिजिकल


# LANG=gu_IN.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   વાપરેલ ઉમેદવારીઓ
+-------------------------------------------+
ઉમેદવારી નામ:    Multi-Attribute Stackable (4 cores)
પૂરુ પાડે છે:    Multi-Attribute Limited Product
SKU:             cores4-multiattr
કરાર:            2
ખાતુ:            12331131231
શ્રેણી:          5172215874037292522
પુલ ID:          8a90874042235e5b0142235f2c3c0b55
સક્રિય:          True
જથ્થો વાપરેલ:    1
સેવા સ્તર:       Premium
સેવા પ્રકાર:     Level 3
પરિસ્થિતિ વિગતો: 6 કૉરનાં 4 ને ફક્ત આવરે છે.
શરૂઆત:           રવિવાર 03 નોવ 2013
અંત:             સોમવાર 03 નોવ 2014
સિસ્ટમ પ્રકાર:   ભૌતિક


# LANG=kn_IN.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   ಬಳಸಲಾದ ಚಂದಾದಾರಿಕೆಗಳು
+-------------------------------------------+
ಚಂದಾದಾರಿಕೆ ಹೆಸರು:   Multi-Attribute Stackable (4 cores)
ಇದನ್ನು ಒದಗಿಸುತ್ತದೆ: Multi-Attribute Limited Product
SKU:                cores4-multiattr
ಒಪ್ಪಂದ:             2
ಖಾತೆ:               12331131231
ಅನುಕ್ರಮ:            5172215874037292522
ಪೂಲ್‌ ID:           8a90874042235e5b0142235f2c3c0b55
ಸಕ್ರಿಯ:             True
ಬಳಸಿದ ಪ್ರಮಾಣ:       1
ಸೇವಾ ಮಟ್ಟ:          Premium
ಸೇವೆಯ ಬಗೆ:          Level 3
ಸ್ಥಿತಿ ವಿವರ         6 ಕೋರು‌ಗಳಲ್ಲಿ 4 ಅನ್ನು ಮಾತ್ರ
                    ನೋಡಿಕೊಳ್ಳುತ್ತದೆ.
ಆರಂಭ:               ರವಿವಾರ 03 ನ 2013
ಅಂತ್ಯ:              ಸೋಮವಾರ 03 ನ 2014
ವ್ಯವಸ್ಥೆಯ ಬಗೆ:      ಭೌತಿಕ


# LANG=ml_IN.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   ഉപയോഗിച്ച സബ്സ്ക്രിപ്ഷനുകള്‍
+-------------------------------------------+
സബ്സ്ക്രിപ്ഷന്‍ പേരു്: Multi-Attribute Stackable (4 cores)
ലഭ്യമാക്കുന്നതു്:      Multi-Attribute Limited Product
എസ്‌കെയു:              cores4-multiattr
കരാര്‍:                2
അക്കൌണ്ട്:             12331131231
സീരിയല്‍:              5172215874037292522
പൂള്‍ ഐഡി:             8a90874042235e5b0142235f2c3c0b55
സജീവം:                 True
ഉപയോഗിച്ച വ്യാപ്തി:    1
സര്‍വീസ് ലവല്‍:        Premium
സര്‍വീസ് രീതി:         Level 3
അവസ്ഥ വിവരണങ്ങള്‍:     4/6 കോറുകള്‍ മാത്രം ലഭ്യമാക്കുന്നു.
ആരംഭം:                 ഞായര്‍ 03 നവംബര്‍ 2013
അവസാനം:                തിങ്കള്‍ 03 നവംബര്‍ 2014
സിസ്റ്റം രീതി:         ഫിസിക്കല്‍


# LANG=or_IN.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   ବ୍ୟବହାର ହୋଇଥିବା ସଦସ୍ୟତାଗୁଡ଼ିକ
+-------------------------------------------+
ସଦସ୍ୟତା ନାମ:    Multi-Attribute Stackable (4 cores)
ପ୍ରଦାନ କରିଥାଏ:  Multi-Attribute Limited Product
SKU:            cores4-multiattr
ରାଜିନାମା:       2
ଖାତା:           12331131231
କ୍ରମ ସଂଖ୍ୟା:    5172215874037292522
ପୁଲ ID:         8a90874042235e5b0142235f2c3c0b55
ସକ୍ରିୟ:         True
ବ୍ୟବହୃତ ପରିମାଣ: 1
ସର୍ଭିସ ସ୍ତର:    Premium
ସର୍ଭିସ ପ୍ରକାର:  Level 3
ସ୍ଥିତି ବିବରଣୀ:  କେବଳ କୋର 6 ର 4 କୁ ଧାରଣ କରିଥାଏ।
ଆରମ୍ଭ:          ୩-୧୧-୧୩
ସମାପ୍ତ:         ୩-୧୧-୧୪
ତନ୍ତ୍ର ପ୍ରକାର:  ଭୌତିକ


# LANG=pa_IN.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   ਵਰਤੀਆਂ ਮੈਂਬਰੀਆਂ
+-------------------------------------------+
ਮੈਂਬਰੀ ਨਾਂ:         Multi-Attribute Stackable (4 cores)
ਮੁਹੱਈਆ ਕਰਵਾਉਂਦਾ ਹੈ: Multi-Attribute Limited Product
SKU:                cores4-multiattr
ਇਕਰਾਰਨਾਮਾ:          2
ਖਾਤਾ:               12331131231
ਲੜੀ:                5172215874037292522
Pool ID:            8a90874042235e5b0142235f2c3c0b55
ਕਿਰਿਆਸ਼ੀਲ:           True
ਵਰਤੀ ਗਈ ਮਾਤਰਾ:      1
ਸੇਵਾ ਪੱਧਰ:          Premium
ਸੇਵਾ ਕਿਸਮ:          Level 3
ਹਾਲਾਤ ਵੇਰਵੇ:        6 ਵਿੱਚੋਂ ਸਿਰਫ਼ 4 ਕੋਰ ਢੱਕਦਾ ਹੈ।
ਸ਼ੁਰੂ ਹੁੰਦਾ ਹੈ:      ਐਤਵਾਰ 03 ਨਵੰਬਰ 2013
ਖਤਮ ਹੁੰਦਾ ਹੈ:       ਸੋਮਵਾਰ 03 ਨਵੰਬਰ 2014
ਸਿਸਟਮ ਕਿਸਮ:         ਭੌਤਿਕ


# LANG=ta_IN.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   பயன்படுத்தப்பட்ட சந்தாக்கள்
+-------------------------------------------+
சந்தா பெயர்:           Multi-Attribute Stackable (4 cores)
வழங்குகிறது:           Multi-Attribute Limited Product
SKU:                   cores4-multiattr
ஒப்பந்தம்:             2
கணக்கு:                12331131231
வரிசை:                 5172215874037292522
தொகுப்பக ID:           8a90874042235e5b0142235f2c3c0b55
செயலில்:               True
பயன்படுத்தியுள்ள அளவு: 1
சேவை நிலை:             Premium
சேவை வகை:              Level 3
நிலை விவரங்கள்:        6 கோர்களில் 4 ஐ மட்டுமே ஆதரிக்கிறது.
தொடங்குவது:            ஞாயிறு 03 நவம்பர் 2013
முடிவத:                திங்கள் 03 நவம்பர் 2014
கணினி வகை:             பருநிலை


# LANG=te_IN.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   ఖర్చైన సబ్‌స్క్రిప్షన్లు
+-------------------------------------------+
సబ్‌స్క్రిప్షన్ పేరు: Multi-Attribute Stackable (4 cores)
అందించును:            Multi-Attribute Limited Product
SKU:                  cores4-multiattr
ఒప్పందం:              2
ఖాతా:                 12331131231
వరుస సంఖ్య:           5172215874037292522
పూల్ ID:              8a90874042235e5b0142235f2c3c0b55
క్రియాశీల:            True
ఉపయోగించిన పరిమాణం:   1
సేవా స్థాయి:          Premium
సేవా రకం:             Level 3
స్థితి వివరాలు:       6 కోర్‌లలో 4 మాత్రమే కవర్ చేస్తోంది.
ప్రారంభములు:          నవంబరు 03 ఆదివారం 2013
ముగింపులు:            నవంబరు 03 సోమవారం 2014
వ్యవస్థ రకం:          ఫిజికల్

[root@jsefler-7 ~]#
Comment 7 John Sefler 2013-11-07 15:40:03 EST
Created attachment 821294 [details]
subscription-manager list --consumed in all LANGs nicely aligns the columns of label/value pairs.

Verifying Version...

[root@jsefler-7 ~]# rpm -q subscription-manager
subscription-manager-1.10.6-1.el7.x86_64

[root@jsefler-7 ~]# for l in en_US de_DE es_ES fr_FR it_IT ja_JP ko_KR pt_BR ru_RU zh_CN zh_TW as_IN bn_IN hi_IN mr_IN gu_IN kn_IN ml_IN or_IN pa_IN ta_IN te_IN; do echo ""; echo "# LANG=$l.UTF-8 subscription-manager list --consumed"; LANG=$l.UTF-8 subscription-manager list --consumed; done;

<SEE THE ATTACHED TERMINAL SCREENSHOT FOR SOME OF THE OUTPUT. PASTING THE VERIFIED OUTPUT FROM THE TERMINAL INTO THIS BUGZILLA COMMENT WILL NOT PRESERVE THE FIXED ALIGNMENT>
Comment 8 qianzhan 2014-04-22 06:19:55 EDT
I find the bug exists in RHEL5.11, so reopen it.

Verifying Version...
[root@localhost ~]# rpm -q subscription-manager
subscription-manager-1.8.22-1.el5

Steps:

# LANG=as_IN.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   উপভোগ কৰা স্বাক্ষৰণসমূহ
+-------------------------------------------+
স্বাক্ষৰণৰ নাম:    Red Hat Enterprise Linux Server, Premium (8 sockets) (Up to 4 guests)
প্ৰদান কৰে:        Oracle Java (for RHEL Server)
                   Red Hat Software Collections Beta (for RHEL Server)
                   Red Hat Enterprise Linux Server
                   Red Hat Enterprise Linux 7 Release Candidate
                   Red Hat Beta
SKU:               RH0103708
চুক্তি:            10318846
একাওন্ট:           5363862
ক্ৰমিক:            5853983256234677048
পুল ID:            8ac28e1b4584400301458476d81a06bf
সক্ৰিয়:            True
ব্যৱহৃত পৰিমাণ:    1
সেৱা স্তৰ:         PREMIUM
সেৱাৰ ধৰণ:         L1-L3
অৱস্থাৰ বিৱৰণসমূহ: 
আৰম্ভ হয়:          5-01-2014
সমাপ্ত হয়:         5-01-2015


# LANG=bn_IN.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   ব্যবহৃত সাবস্ক্রিপশন
+-------------------------------------------+
সাবস্ক্রিপশনের নাম:     Red Hat Enterprise Linux Server, Premium (8 sockets) (Up to 4 guests)
উপলব্ধ করা হয়:          Oracle Java (for RHEL Server)
                        Red Hat Software Collections Beta (for RHEL Server)
                        Red Hat Enterprise Linux Server
                        Red Hat Enterprise Linux 7 Release Candidate
                        Red Hat Beta
SKU:                    RH0103708
চুক্তি:                 10318846
অ্যাকাউন্ট:             5363862
ক্রমিক:                 5853983256234677048
পুল ID:                 8ac28e1b4584400301458476d81a06bf
সক্রিয়:                 True
ব্যবহৃত পরিমাণ:         1
পরিষেবার স্তর:          PREMIUM
পরিষেবার ধরন:           L1-L3
অবস্থার বিস্তারিত তথ্য: 
অারম্ভ:                 রবিবার 05 জানুয়ারি 2014
সমাপ্তি:                সোমবার 05 জানুয়ারি 2015


# LANG=hi_IN.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   खपत हुई सदस्यता
+-------------------------------------------+
सदस्यता नाम:     Red Hat Enterprise Linux Server, Premium (8 sockets) (Up to 4 guests)
प्रदान करता है:  Oracle Java (for RHEL Server)
                 Red Hat Software Collections Beta (for RHEL Server)
                 Red Hat Enterprise Linux Server
                 Red Hat Enterprise Linux 7 Release Candidate
                 Red Hat Beta
SKU:             RH0103708
संविदा:          10318846
खाता:            5363862
क्रम संख्या:     5853983256234677048
पुल आईडी:        8ac28e1b4584400301458476d81a06bf
सक्रिय:          True
प्रयुक्त मात्रा: 1
सेवा स्तर:       PREMIUM
सेवा प्रकार:     L1-L3
प्रस्थिति विवरण: 
आरंभ:            रविवार 05 जनवरी 2014
अंत:             सोमवार 05 जनवरी 2015


# LANG=mr_IN.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   वापरलेले सबस्क्रिप्शन्स्
+-------------------------------------------+
सबस्क्रिप्शन नाव: Red Hat Enterprise Linux Server, Premium (8 sockets) (Up to 4 guests)
प्रोव्हाइड्स:     Oracle Java (for RHEL Server)
                  Red Hat Software Collections Beta (for RHEL Server)
                  Red Hat Enterprise Linux Server
                  Red Hat Enterprise Linux 7 Release Candidate
                  Red Hat Beta
SKU:              RH0103708
काँट्रॅक्ट:       10318846
खाते:             5363862
सिरिअल:           5853983256234677048
पूल ID:           8ac28e1b4584400301458476d81a06bf
सक्रिय:           True
वापरलेले प्रमाण:  1
सेवा स्तर:        PREMIUM
सेवा प्रकार:      L1-L3
स्थिती तपशील:     
सुरूवात:          रविवार 05 जानेवारी 2014
समाप्ति:          सोमवार 05 जानेवारी 2015


# LANG=gu_IN.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   વાપરેલ ઉમેદવારીઓ
+-------------------------------------------+
ઉમેદવારી નામ:    Red Hat Enterprise Linux Server, Premium (8 sockets) (Up to 4 guests)
પૂરુ પાડે છે:    Oracle Java (for RHEL Server)
                 Red Hat Software Collections Beta (for RHEL Server)
                 Red Hat Enterprise Linux Server
                 Red Hat Enterprise Linux 7 Release Candidate
                 Red Hat Beta
SKU:             RH0103708
કરાર:            10318846
ખાતુ:            5363862
શ્રેણી:          5853983256234677048
પુલ ID:          8ac28e1b4584400301458476d81a06bf
સક્રિય:          True
જથ્થો વાપરેલ:    1
સેવા સ્તર:       PREMIUM
સેવા પ્રકાર:     L1-L3
પરિસ્થિતિ વિગતો: 
શરૂઆત:           રવિવાર 05 જાન 2014
અંત:             સોમવાર 05 જાન 2015


# LANG=kn_IN.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   ಬಳಸಲಾದ ಚಂದಾದಾರಿಕೆಗಳು
+-------------------------------------------+
ಚಂದಾದಾರಿಕೆ ಹೆಸರು:   Red Hat Enterprise Linux Server, Premium (8 sockets) (Up to 4 guests)
ಇದನ್ನು ಒದಗಿಸುತ್ತದೆ: Oracle Java (for RHEL Server)
                    Red Hat Software Collections Beta (for RHEL Server)
                    Red Hat Enterprise Linux Server
                    Red Hat Enterprise Linux 7 Release Candidate
                    Red Hat Beta
SKU:                RH0103708
ಒಪ್ಪಂದ:             10318846
ಖಾತೆ:               5363862
ಅನುಕ್ರಮ:            5853983256234677048
ಪೂಲ್‌ ID:           8ac28e1b4584400301458476d81a06bf
ಸಕ್ರಿಯ:             True
ಬಳಸಿದ ಪ್ರಮಾಣ:       1
ಸೇವಾ ಮಟ್ಟ:          PREMIUM
ಸೇವೆಯ ಬಗೆ:          L1-L3
ಸ್ಥಿತಿ ವಿವರ         
ಆರಂಭ:               ರವಿವಾರ 05 ಜ 2014
ಅಂತ್ಯ:              ಸೋಮವಾರ 05 ಜ 2015


# LANG=ml_IN.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   ഉപയോഗിച്ച സബ്സ്ക്രിപ്ഷനുകള്‍
+-------------------------------------------+
സബ്സ്ക്രിപ്ഷന്‍ പേരു്: Red Hat Enterprise Linux Server, Premium (8 sockets) (Up to 4 guests)
ലഭ്യമാക്കുന്നതു്:      Oracle Java (for RHEL Server)
                       Red Hat Software Collections Beta (for RHEL Server)
                       Red Hat Enterprise Linux Server
                       Red Hat Enterprise Linux 7 Release Candidate
                       Red Hat Beta
എസ്‌കെയു:              RH0103708
കരാര്‍:                10318846
അക്കൌണ്ട്:             5363862
സീരിയല്‍:              5853983256234677048
പൂള്‍ ഐഡി:             8ac28e1b4584400301458476d81a06bf
സജീവം:                 True
ഉപയോഗിച്ച വ്യാപ്തി:    1
സര്‍വീസ് ലവല്‍:        PREMIUM
സര്‍വീസ് രീതി:         L1-L3
അവസ്ഥ വിവരണങ്ങള്‍:     
ആരംഭം:                 ഞായര്‍ 05 ജനുവരി 2014
അവസാനം:                തിങ്കള്‍ 05 ജനുവരി 2015


# LANG=or_IN.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   ବ୍ୟବହାର ହୋଇଥିବା ସଦସ୍ୟତାଗୁଡ଼ିକ
+-------------------------------------------+
ସଦସ୍ୟତା ନାମ:    Red Hat Enterprise Linux Server, Premium (8 sockets) (Up to 4 guests)
ପ୍ରଦାନ କରିଥାଏ:  Oracle Java (for RHEL Server)
                Red Hat Software Collections Beta (for RHEL Server)
                Red Hat Enterprise Linux Server
                Red Hat Enterprise Linux 7 Release Candidate
                Red Hat Beta
SKU:            RH0103708
ରାଜିନାମା:       10318846
ଖାତା:           5363862
କ୍ରମ ସଂଖ୍ୟା:    5853983256234677048
ପୁଲ ID:         8ac28e1b4584400301458476d81a06bf
ସକ୍ରିୟ:         True
ବ୍ୟବହୃତ ପରିମାଣ: 1
ସର୍ଭିସ ସ୍ତର:    PREMIUM
ସର୍ଭିସ ପ୍ରକାର:  L1-L3
ସ୍ଥିତି ବିବରଣୀ:  
ଆରମ୍ଭ:          ୫-୧-୧୪
ସମାପ୍ତ:         ୫-୧-୧୫


# LANG=pa_IN.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   ਵਰਤੀਆਂ ਮੈਂਬਰੀਆਂ
+-------------------------------------------+
ਮੈਂਬਰੀ ਨਾਂ:         Red Hat Enterprise Linux Server, Premium (8 sockets) (Up to 4 guests)
ਮੁਹੱਈਆ ਕਰਵਾਉਂਦਾ ਹੈ: Oracle Java (for RHEL Server)
                    Red Hat Software Collections Beta (for RHEL Server)
                    Red Hat Enterprise Linux Server
                    Red Hat Enterprise Linux 7 Release Candidate
                    Red Hat Beta
SKU:                RH0103708
ਇਕਰਾਰਨਾਮਾ:          10318846
ਖਾਤਾ:               5363862
ਲੜੀ:                5853983256234677048
Pool ID:            8ac28e1b4584400301458476d81a06bf
ਕਿਰਿਆਸ਼ੀਲ:           True
ਵਰਤੀ ਗਈ ਮਾਤਰਾ:      1
ਸੇਵਾ ਪੱਧਰ:          PREMIUM
ਸੇਵਾ ਕਿਸਮ:          L1-L3
ਹਾਲਾਤ ਵੇਰਵਾ:        
ਸ਼ੁਰੂ ਹੁੰਦਾ ਹੈ:      ਐਤਵਾਰ 05 ਜਨਵਰੀ 2014
ਖਤਮ ਹੁੰਦਾ ਹੈ:       ਸੋਮਵਾਰ 05 ਜਨਵਰੀ 2015


# LANG=ta_IN.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   பயன்படுத்தப்பட்ட சந்தாக்கள்
+-------------------------------------------+
சந்தா பெயர்:           Red Hat Enterprise Linux Server, Premium (8 sockets) (Up to 4 guests)
வழங்குகிறது:           Oracle Java (for RHEL Server)
                       Red Hat Software Collections Beta (for RHEL Server)
                       Red Hat Enterprise Linux Server
                       Red Hat Enterprise Linux 7 Release Candidate
                       Red Hat Beta
SKU:                   RH0103708
ஒப்பந்தம்:             10318846
கணக்கு:                5363862
வரிசை:                 5853983256234677048
தொகுப்பக ID:           8ac28e1b4584400301458476d81a06bf
செயலில்:               True
பயன்படுத்தியுள்ள அளவு: 1
சேவை நிலை:             PREMIUM
சேவை வகை:              L1-L3
நிலை விவரங்கள்:        
தொடங்குவது:            ஞாயிறு 05 ஜனவரி 2014
முடிவத:                திங்கள் 05 ஜனவரி 2015


# LANG=te_IN.UTF-8 subscription-manager list --consumed
+-------------------------------------------+
   ఖర్చైన సబ్‌స్క్రిప్షన్లు
+-------------------------------------------+
సబ్‌స్క్రిప్షన్ పేరు: Red Hat Enterprise Linux Server, Premium (8 sockets) (Up to 4 guests)
అందించును:            Oracle Java (for RHEL Server)
                      Red Hat Software Collections Beta (for RHEL Server)
                      Red Hat Enterprise Linux Server
                      Red Hat Enterprise Linux 7 Release Candidate
                      Red Hat Beta
SKU:                  RH0103708
ఒప్పందం:              10318846
ఖాతా:                 5363862
వరుస సంఖ్య:           5853983256234677048
పూల్ ID:              8ac28e1b4584400301458476d81a06bf
క్రియాశీల:            True
ఉపయోగించిన పరిమాణం:   1
సేవా స్థాయి:          PREMIUM
సేవా రకం:             L1-L3
స్థితి వివరాలు:       
ప్రారంభములు:          జనవరి 05 ఆదివారం 2014
ముగింపులు:            జనవరి 05 సోమవారం 2015
Comment 9 Carter Kozak 2014-04-29 09:54:15 EDT
Fixed in subscription-manager-1.11.3-2.el5
Comment 11 John Sefler 2014-06-23 18:12:42 EDT
Created attachment 911596 [details]
subscription-manager list --consumed in all LANGs nicely aligns the columns of label/value pairs.

Verifying Version...

[root@jsefler-5 ~]# rpm -q subscription-manager
subscription-manager-1.11.3-6.el5

[root@jsefler-5 ~]# for l in en_US de_DE es_ES fr_FR it_IT ja_JP ko_KR pt_BR ru_RU zh_CN zh_TW as_IN bn_IN hi_IN mr_IN gu_IN kn_IN ml_IN or_IN pa_IN ta_IN te_IN; do echo ""; echo "# LANG=$l.UTF-8 subscription-manager list --consumed"; LANG=$l.UTF-8 subscription-manager list --consumed; done;

<SEE THE ATTACHED TERMINAL SCREENSHOT FOR SOME OF THE OUTPUT. PASTING THE VERIFIED OUTPUT FROM THE TERMINAL INTO THIS BUGZILLA COMMENT WILL NOT PRESERVE THE FIXED ALIGNMENT>
Comment 12 John Sefler 2014-06-23 18:16:26 EDT
(In reply to qianzhan from comment #8)
> I find the bug exists in RHEL5.11, so reopen it.
> 
> Verifying Version...
> [root@localhost ~]# rpm -q subscription-manager
> subscription-manager-1.8.22-1.el5
> 

That's because subscription-manager-1.8.22-1.el5 was shipped with rhel5.10.  subscription-manager-1.11 will be shipped with rhel5.11.
Comment 13 Bryan Kearney 2014-09-29 13:49:33 EDT
Cleaning up old bugs. These were verified but never closed.

Note You need to log in before you can comment on or make changes to this bug.